#ifndef HASH_HPP
#define HASH_HPP

#include <string>

namespace simple_object_storage {

    // Compute SHA-256 hash of a file, returns hex string
    std::string hash_file(const std::string &path);

    // Compute combined SHA-256 hash of all files in directory recursively
    std::string hash_directory_recursive(const std::string &path);

    void hash_demo(const std::string & path);

    int hash_demo_raw(const std::string & path);

} // namespace simple_object_storage


#endif